%undefine __cmake_in_source_build

Name:       kbibtex
Version:    0.10.0
Release:    2%{?dist}
Summary:    A BibTeX editor for KDE

License:    GPLv2+
URL:        https://userbase.kde.org/KBibTeX
Source0:    http://download.kde.org/stable/KBibTeX/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake qt5-qtbase-devel desktop-file-utils gettext-devel
%ifarch %qt5_qtwebengine_arches
BuildRequires:  qt5-qtwebengine-devel
%else
BuildRequires:  qt5-qtwebkit-devel
%endif
BuildRequires:  cmake(Qt5NetworkAuth)
BuildRequires:  cmake(Qt5XmlPatterns)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  extra-cmake-modules
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  poppler-qt5-devel
BuildRequires:  qca-qt5-devel
BuildRequires:  libicu-devel
BuildRequires:  qoauth-qt5-devel
BuildRequires:  shared-mime-info
Requires:       bibutils

%description
The program KBibTeX is a bibliography editor for KDE. Its main purpose is to
provide a user-friendly interface to BibTeX files.

%package  libs
Summary:  Runtime files for %{name}
%description libs
The program KBibTeX is a bibliography editor for KDE. Its main purpose is to
provide a user-friendly interface to BibTeX files.

This package provides the runtime libraries for %{name}

%package  devel
Summary:  Development files for KBibTeX
Requires: %{name}-libs = %{version}-%{release}
Requires: libxslt-devel
Requires: poppler-qt5-devel

%description devel
The %{name}-devel package contains libraries and header files necessary for
developing programs using KBibTeX libraries.

%prep
%setup -q


%build
%{cmake_kf5}
%cmake_build


%install
%cmake_install
%find_lang %{name} --all-name

%check
desktop-file-validate  %{buildroot}%{_kf5_datadir}/applications/*.desktop


%files -f %{name}.lang
%doc README.md ChangeLog
%{_kf5_bindir}/%{name}
%{_qt5_plugindir}/%{name}part.so*
%{_kf5_datadir}/applications/*%{name}.desktop
%{_kf5_datadir}/kservices5/%{name}part.desktop
%{_kf5_datadir}/kxmlgui5/*
%{_kf5_datadir}/%{name}/
%{_datadir}/metainfo/*
%{_datadir}/mime/packages/bibliography.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/qlogging-categories5/kbibtex.categories
%{_kf5_docdir}/HTML/*/%{name}
%{_mandir}/*

%files libs
%license LICENSE
%{_libdir}/lib%{name}*.so.*

%files devel
%{_includedir}/KBibTeX/
%{_libdir}/cmake/KBibTeX/
%{_libdir}/lib%{name}*.so


%changelog
* Thu Jan 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.10.0-2
- Rebuild for icu-74.2

* Tue Aug 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.0-1
- initial build
